version: "3.4"

services:
  monitoring:
    image: mathwave/sprint-repo:monitoring
    networks:
      - clickhouse
    environment:
      CLICKHOUSE_PASSWORD: $CLICKHOUSE_PASSWORD_PROD
    deploy:
      mode: replicated
      restart_policy:
        condition: any
      update_config:
        parallelism: 1
        order: start-first

networks:
  clickhouse:
    external: true
